/*-----------------------------------------------------------------*/
/*! 
  \file scscptags.cxx
  \brief SCSCP tags
  \author  M. Gastineau 
           Astronomie et Systemes Dynamiques, IMCCE, CNRS, Observatoire de Paris. 

   Copyright, 2008,  M. Gastineau, IMCCE-CNRS
   email of the author : gastineau@imcce.fr
  
  \bug M. GASTINEAU 12/09/08 : update for SCSCP 1.2
*/
/*-----------------------------------------------------------------*/

/*-----------------------------------------------------------------*/
/* License  of this file :
 This library is governed by the CeCILL-C license under French law and
abiding by the rules of distribution of free software.  You can  use, 
modify and/ or redistribute the software under the terms of the CeCILL-C
license as circulated by CEA, CNRS and INRIA at the following URL
"http://www.cecill.info". 

As a counterpart to the access to the source code and  rights to copy,
modify and redistribute granted by the license, users are provided only
with a limited warranty  and the software's author,  the holder of the
economic rights,  and the successive licensors  have only  limited
liability. 

In this respect, the user's attention is drawn to the risks associated
with loading,  using,  modifying and/or developing or reproducing the
software by the user in light of its specific status of free software,
that may mean  that it is complicated to manipulate,  and  that  also
therefore means  that it is reserved for developers  and  experienced
professionals having in-depth computer knowledge. Users are therefore
encouraged to load and test the software's suitability as regards their
requirements in conditions enabling the security of their systems and/or 
data to be ensured and,  more generally, to use and operate it in the 
same conditions as regards security. 

The fact that you are presently reading this means that you have had
knowledge of the CeCILL-C license and that you accept its terms.
*/
/*-----------------------------------------------------------------*/

#ifndef __SCSCPTAGS_H__
#define __SCSCPTAGS_H__

/*! CD cascall1 tags */
struct SCSCP_tags
{
static const char *cdname;
static const char *call_ID;
static const char *option_return_object;
static const char *option_return_cookie;
static const char *option_return_nothing;
static const char *option_runtime;
static const char *option_min_memory;
static const char *option_max_memory;
static const char *option_debuglevel;
static const char *procedure_call;
static const char *procedure_completed;
static const char *procedure_terminated;
static const char *info_runtime;
static const char *info_memory;
static const char *error_memory;
static const char *error_runtime;
static const char *error_system_specific;
};


#endif /*__SCSCPTAGS_H__*/
